Package robocode.control.events

## Class TurnStartedEvent

- java.lang.Object
- - robocode.control.events.BattleEvent
  - - robocode.control.events.TurnStartedEvent

    public class TurnStartedEvent
    extends BattleEvent

A TurnStartedEvent is sent to `onTurnStarted()` when a new turn in a battle round is started.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `TurnEndedEvent`

### Constructor Summary

Constructors
`TurnStartedEvent()` Called by the game to create a new TurnStartedEvent.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TurnStartedEvent

    public TurnStartedEvent()

Called by the game to create a new TurnStartedEvent. Please don't use this constructor as it might change.